Grand sudo right for Michael Holloway (mobile team) on Android CI slave
Closed, ResolvedPublic

Description

@Mholloway requested to get sudo rights for the Jenkins instances that runs Android. That is to help polish up the setup / clean up failures etc. @Niedzielski should have it already, the labs account Sniedzielski got full sudo on all machines.

Need to add Mholloway account to the sudo policy so he can reach integration-slave-jessie-android.integration.eqiad.wmflabs.

hashar created this task.May 3 2017, 3:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2017, 3:37 PM

Mentioned in SAL (#wikimedia-releng) [2017-05-03T15:38:11Z] <hashar> Granted mdholloway (mobile team) full sudo access on integration labs project so he can reach integration-slave-jessie-android - T164388

hashar removed hashar as the assignee of this task.May 3 2017, 3:44 PM

You should now have full sudo access on all the instance in integration project.

For Android the builds are tied to the instance integration-slave-jessie-android.integration.eqiad.wmflabs. I usually get a root shell via: sudo su -, your mileage may vary.

That instance only runs the Android app Jenkins jobs, so if you end up hacking on it there should be no side effect beside the android app.


The project has a puppet master: integration-puppetmaster01.integration.eqiad.wmflabs . You can cherry pick puppet.git patches there as root under /var/lib/git/operations/puppet.

The Jenkins master connects to the instance and run build as the user jenkins-deploy. It is home dir is on the root partition under /mnt/home/jenkins-deploy for legacy reasons.

The builds are made under /srv/jenkins-workspace/workspace, a sub directory is created per job (eg: apps-android-wikipedia-periodic-test ). Note the Android plugin seems to install some material in the grand parent dir (/srv/jenkins-workspace/tools/android-sdk).

Mentioned in SAL (#wikimedia-releng) [2017-05-03T15:54:17Z] <hashar> Granted sudo right for Niedzielski accounts on Android CI slave. Already has it with the other labs account Sniedzielski - T164388

Mholloway closed this task as Resolved.May 4 2017, 1:26 PM
Mholloway claimed this task.

Thank you, @hashar!